Commit 3ebc2249 authored by Daniel Holbach's avatar Daniel Holbach
Browse files

update alpine to 3.12, k8s 1.18.8

parent 16109017
...@@ -44,7 +44,7 @@ compatibility of one minor version between client and server: ...@@ -44,7 +44,7 @@ compatibility of one minor version between client and server:
| kured | kubectl | k8s.io/client-go | k8s.io/apimachinery | expected kubernetes compatibility | | kured | kubectl | k8s.io/client-go | k8s.io/apimachinery | expected kubernetes compatibility |
|--------|---------|------------------|---------------------|-----------------------------------| |--------|---------|------------------|---------------------|-----------------------------------|
| master | 1.18.5 | v0.18.5 | v0.18.5 | 1.17.x, 1.18.x, 1.19.x | | master | 1.18.8 | v0.18.8 | v0.18.8 | 1.17.x, 1.18.x, 1.19.x |
| 1.4.4 | 1.17.7 | v0.17.0 | v0.17.0 | 1.16.x, 1.17.x, 1.18.x | | 1.4.4 | 1.17.7 | v0.17.0 | v0.17.0 | 1.16.x, 1.17.x, 1.18.x |
| 1.3.0 | 1.15.10 | v12.0.0 | release-1.15 | 1.15.x, 1.16.x, 1.17.x | | 1.3.0 | 1.15.10 | v12.0.0 | release-1.15 | 1.15.x, 1.16.x, 1.17.x |
| 1.2.0 | 1.13.6 | v10.0.0 | release-1.13 | 1.12.x, 1.13.x, 1.14.x | | 1.2.0 | 1.13.6 | v10.0.0 | release-1.13 | 1.12.x, 1.13.x, 1.14.x |
......
...@@ -10,7 +10,7 @@ rules: ...@@ -10,7 +10,7 @@ rules:
# Allow kubectl to drain/uncordon # Allow kubectl to drain/uncordon
# #
# NB: These permissions are tightly coupled to the bundled version of kubectl; the ones below # NB: These permissions are tightly coupled to the bundled version of kubectl; the ones below
# match https://github.com/kubernetes/kubernetes/blob/v1.18.5/staging/src/k8s.io/kubectl/pkg/cmd/drain/drain.go # match https://github.com/kubernetes/kubernetes/blob/v1.18.8/staging/src/k8s.io/kubectl/pkg/cmd/drain/drain.go
# #
- apiGroups: [""] - apiGroups: [""]
resources: ["nodes"] resources: ["nodes"]
......
FROM alpine:3.11 FROM alpine:3.12
RUN apk update && apk add ca-certificates tzdata && rm -rf /var/cache/apk/* RUN apk update && apk add ca-certificates tzdata && rm -rf /var/cache/apk/*
# NB: you may need to update RBAC permissions when upgrading kubectl - see kured-rbac.yaml for details # NB: you may need to update RBAC permissions when upgrading kubectl - see kured-rbac.yaml for details
ADD https://storage.googleapis.com/kubernetes-release/release/v1.18.5/bin/linux/amd64/kubectl /usr/bin/kubectl ADD https://storage.googleapis.com/kubernetes-release/release/v1.18.8/bin/linux/amd64/kubectl /usr/bin/kubectl
RUN chmod 0755 /usr/bin/kubectl RUN chmod 0755 /usr/bin/kubectl
COPY ./kured /usr/bin/kured COPY ./kured /usr/bin/kured
ENTRYPOINT ["/usr/bin/kured"] ENTRYPOINT ["/usr/bin/kured"]
...@@ -10,6 +10,6 @@ require ( ...@@ -10,6 +10,6 @@ require (
github.com/prometheus/procfs v0.0.0-20190102135031-14fa7590c24d // indirect github.com/prometheus/procfs v0.0.0-20190102135031-14fa7590c24d // indirect
github.com/sirupsen/logrus v1.2.0 github.com/sirupsen/logrus v1.2.0
github.com/spf13/cobra v0.0.0-20181127133106-d2d81d9a96e2 github.com/spf13/cobra v0.0.0-20181127133106-d2d81d9a96e2
k8s.io/apimachinery v0.18.5 k8s.io/apimachinery v0.18.8
k8s.io/client-go v0.18.5 k8s.io/client-go v0.18.8
) )
This diff is collapsed.
...@@ -8,7 +8,7 @@ rules: ...@@ -8,7 +8,7 @@ rules:
# Allow kubectl to drain/uncordon # Allow kubectl to drain/uncordon
# #
# NB: These permissions are tightly coupled to the bundled version of kubectl; the ones below # NB: These permissions are tightly coupled to the bundled version of kubectl; the ones below
# match https://github.com/kubernetes/kubernetes/blob/v1.18.5/staging/src/k8s.io/kubectl/pkg/cmd/drain/drain.go # match https://github.com/kubernetes/kubernetes/blob/v1.18.8/staging/src/k8s.io/kubectl/pkg/cmd/drain/drain.go
# #
- apiGroups: [""] - apiGroups: [""]
resources: ["nodes"] resources: ["nodes"]
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment